<h1>TKDM</h1>

<h2>TKDM 命名规范</h2>

- 标识

>- tkio ： 凡是带有 **tkio**的均是**ETL**的处理步骤，不可删除，不可随意更改。
>- temp ： 临时表。
>- test ： 测试表。

- 前缀

>- ods : 数据源。
>- conf : 用户配置表，来自业务库，为每日最新数据。**（由于用户得配置是次日生效，因此数据来自ETL日期前一天）**
>- db : 来自业务表，包含一些参数设置，为每日最新数据。
>- dp ：来自业务表，包含一些参数设置，为每日全量数据。
>- tmp : 最底层的临时表，过渡表。
>- mid : 中间表。
>- med : 中间表，处理segments。
>- rlt : 结果表，每日ETL的处理最后一步结果全部存放于这些表中。
>- rpt : 报表，将要导入到mysql的表。



- 后缀

>- hours ： 小时数据。
>- day ： 每日增量数据。
>- all ： 历史汇总表,每日全量。
>- info ： 信息表，包含用户的基础信息，为全量汇总。
>- para ：参数表，来自用户自定义参数设置。



------
------

<h2>Track Join Type</h2>

>- deviceid : 通过设备ID匹配，可能是IDFA，也有可能是imei。
>- md5_idfa : 通过MD5加密IDFA
>- md5_imei : 通过MD5加密imei
>- md5_android_id : 通过MD5加密Android ID
>- sha_idfa : 通过SHA1加密IDFA
>- sha_android_id : 通过SHA1加密Android ID
>- mac : 通过mac地址，默认地址，无效地址排除。
>- android_id : Android ID
>- ip : IP
>- ip_diag : IP修正。如果多个设备同时通过IP匹配到同一个点击，则激活最早的设备匹配渠道，其余的设备计算为自然量。同时保留相关点击数据（点击ip，点击时间）
>- adwords : 谷歌
>- pack : 分包
>- 0 : 自然量




